Generation Framework

## org.eclipse.gmf.tooldef
Interface PopupMenu

All Superinterfaces:
  ContributionItem, org.eclipse.emf.ecore.EObject, ItemBase, Menu, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  PopupMenuImpl

    public interface PopupMenu

extends Menu, ContributionItem

A representation of the model object 'Popup Menu'.

The following features are supported:

- `ID`

See Also:
  `GMFToolPackage.getPopupMenu()`
** Generated **
Model:

Method Summary
`java.lang.String` `getID()` Returns the value of the 'ID' attribute
`void` `setID(java.lang.String value)` Sets the value of the '`ID`' attribute

Methods inherited from interface org.eclipse.gmf.tooldef.Menu
`getItems`

Methods inherited from interface org.eclipse.gmf.tooldef.ContributionItem
`getIcon, getTitle, setIcon, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `GMFToolPackage.getPopupMenu_ID()`
  ** Generated **
  Model:
    id="true"

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.